---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab auth login`

Authenticate with a GitLab instance

## Synopsis

Authenticate with a GitLab instance.
You can pass in a token on standard input by using `--stdin`.
The minimum required scopes for the token are: `api`, `write_repository`.

```plaintext
glab auth login [flags]
```

## Examples

```plaintext
# start interactive setup
$ glab auth login
# authenticate against `gitlab.com` by reading the token from a file
$ glab auth login --stdin < myaccesstoken.txt
# authenticate with a self-hosted GitLab instance
$ glab auth login --hostname salsa.debian.org

```

## Options

```plaintext
  -h, --hostname string   The hostname of the GitLab instance to authenticate with
      --stdin             Read token from standard input
  -t, --token string      Your GitLab access token
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
